Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Friends
CLIST_LINK Class Reference

`#include <clst.h>`

List of all members.

## Public Member Functions

| CLIST_LINK ()
| CLIST_LINK (const CLIST_LINK &)
void | operator= (const CLIST_LINK &)

## Friends

class | CLIST_ITERATOR
class | CLIST

## Detailed Description

Definition at line 40 of file clst.h.

## Constructor & Destructor Documentation

CLIST_LINK::CLIST_LINK | ( |  | ) |

inline

Definition at line 49 of file clst.h.

{ //constructor
data = next = NULL;
}

CLIST_LINK::CLIST_LINK | ( | const CLIST_LINK & |  | ) |

inline

Definition at line 53 of file clst.h.

{ //dont copy link
data = next = NULL;
}

## Member Function Documentation

void CLIST_LINK::operator= | ( | const CLIST_LINK & |  | ) |

inline

Definition at line 58 of file clst.h.

{
data = next = NULL;
}

## Friends And Related Function Documentation

friend class CLIST

friend

Definition at line 43 of file clst.h.

friend class CLIST_ITERATOR

friend

Definition at line 42 of file clst.h.

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/clst.h